"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createCache = exports.DEFAULT_CACHE_LOCATION = void 0;
const path_1 = __importDefault(require("path"));
const DiskCache_1 = require("./DiskCache");
const DummyCache_1 = require("./DummyCache");
// cspell:word cspellcache
exports.DEFAULT_CACHE_LOCATION = '.cspellcache';
/**
 * Creates CSpellLintResultCache (disk cache if caching is enabled in config or dummy otherwise)
 */
function createCache(options) {
    const { cache, cacheLocation = exports.DEFAULT_CACHE_LOCATION, cacheStrategy = 'metadata', root } = options;
    return cache ? new DiskCache_1.DiskCache(path_1.default.resolve(root, cacheLocation), cacheStrategy === 'content') : new DummyCache_1.DummyCache();
}
exports.createCache = createCache;
//# sourceMappingURL=createCache.js.map